Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.layout
Class RowSpec

    java.lang.Object
      com.jgoodies.forms.layout.FormSpec
          com.jgoodies.forms.layout.RowSpec

All Implemented Interfaces:
  Serializable

    public final class RowSpec

extends FormSpec

Specifies rows in FormLayout by their default orientation, start size and resizing behavior.

Examples:
The following examples specify a centered row with a size of 14 dlu that won't grow.

     new RowSpec(Sizes.dluX(14));
     new RowSpec(RowSpec.CENTER, Sizes.dluX(14), 0.0);
     new RowSpec(rowSpec.CENTER, Sizes.dluX(14), RowSpec.NO_GROW);
     new RowSpec("14dlu");
     new RowSpec("14dlu:0");
     new RowSpec("center:14dlu:0");

The `FormFactory` provides predefined frequently used RowSpec instances.

Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch
See Also:
  `FormFactory`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.jgoodies.forms.layout.FormSpec
`FormSpec.DefaultAlignment`

Field Summary
`static FormSpec.DefaultAlignment` | `BOTTOM` By default put the components in the bottom.
`static FormSpec.DefaultAlignment` | `CENTER` By default put the components in the center.
`static FormSpec.DefaultAlignment` | `DEFAULT` Unless overridden the default alignment for a row is CENTER.
`static FormSpec.DefaultAlignment` | `FILL` By default fill the component into the row.
`static FormSpec.DefaultAlignment` | `TOP` By default put the components in the top.

Fields inherited from class com.jgoodies.forms.layout.FormSpec
`DEFAULT_GROW, NO_GROW`

Constructor Summary
`RowSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)` Constructs a RowSpec from the given default orientation, size, and resize weight.
`RowSpec(Size size)` Constructs a RowSpec for the given size using the default alignment, and no resizing.
`RowSpec(String encodedDescription)` Constructs a RowSpec from the specified encoded description.

Method Summary
`static RowSpec[]` | `decodeSpecs(String encodedRowSpecs)` Parses and splits encoded row specifications and returns an array of RowSpec objects.
`protected boolean` | `isHorizontal()` Returns if this is a horizontal specification (vs. vertical).

Methods inherited from class com.jgoodies.forms.layout.FormSpec
`getDefaultAlignment, getResizeWeight, getSize, toShortString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP

    public static final FormSpec.DefaultAlignment TOP

  By default put the components in the top.

### CENTER

    public static final FormSpec.DefaultAlignment CENTER

  By default put the components in the center.

### BOTTOM

    public static final FormSpec.DefaultAlignment BOTTOM

  By default put the components in the bottom.

### FILL

    public static final FormSpec.DefaultAlignment FILL

  By default fill the component into the row.

### DEFAULT

    public static final FormSpec.DefaultAlignment DEFAULT

  Unless overridden the default alignment for a row is CENTER.

Constructor Detail

### RowSpec

    public RowSpec(FormSpec.DefaultAlignment defaultAlignment,
                   Size size,
                   double resizeWeight)

  Constructs a RowSpec from the given default orientation, size, and resize weight.

  The resize weight must be a non-negative double; you can use `NO_FILL` as a convenience value for no resize.

  Parameters:
    `defaultAlignment` - the row's default alignment
    `size` - constant size, component size, or bounded size
    `resizeWeight` - the row's non-negative resize weight
  Throws:
    `IllegalArgumentException` - if the size is invalid or the resize weight is negative

### RowSpec

    public RowSpec(Size size)

  Constructs a RowSpec for the given size using the default alignment, and no resizing.

  Parameters:
    `size` - constant size, component size, or bounded size
  Throws:
    `IllegalArgumentException` - if the size is invalid

### RowSpec

    public RowSpec(String encodedDescription)

  Constructs a RowSpec from the specified encoded description. The description will be parsed to set initial values.

  Parameters:
    `encodedDescription` - the encoded description

Method Detail

### isHorizontal

    protected boolean isHorizontal()

  Returns if this is a horizontal specification (vs. vertical). Used to distinct between horizontal and vertical dialog units, which have different conversion factors.

  Returns:
    true for horizontal, false for vertical

### decodeSpecs

    public static RowSpec[] decodeSpecs(String encodedRowSpecs)

  Parses and splits encoded row specifications and returns an array of RowSpec objects.

  Parameters:
    `encodedRowSpecs` - comma separated encoded row specifications
  Returns:
    an array of decoded row specifications
  Throws:
    `NullPointerException` - if the encoded row specifications string is `null`
  See Also:
    `RowSpec(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.